osl::hash Namespace Reference

## Classes

struct | BoardKey96
struct | HashKey128Layout
class | HashKey128
| 手番を含んだ盤面の状態のハッシュ値を保持するためのクラス. More...
class | HashKey
class | HashGenTable
class | HashKeyStack
class | HashRandomPair

## Typedefs

typedef HashKey128 | HashKeyBase
typedef BoardKey96 | BoardKey

## Functions

bool | operator== (const HashKey128 &l, const HashKey128 &r)
bool | operator!= (const HashKey128 &l, const HashKey128 &r)
bool | operator< (const HashKey128 &l, const HashKey128 &r)
| set等で使うためのみの不等号.
std::ostream & | operator<< (std::ostream &os, const HashKey &h)
bool | operator== (const HashKeyStack &l, const HashKeyStack &r)

## Typedef Documentation

## BoardKey

typedef BoardKey96 osl::hash::BoardKey

Definition at line 151 of file hashKey.h.

## HashKeyBase

typedef HashKey128 osl::hash::HashKeyBase

Definition at line 150 of file hashKey.h.

## Function Documentation

## operator!=()

bool osl::hash::operator!= | ( | const HashKey128 & | l,
|  | const HashKey128 & | r )

inline

Definition at line 133 of file hashKey.h.

## operator<()

bool osl::hash::operator< | ( | const HashKey128 & | l,
|  | const HashKey128 & | r )

inline

set等で使うためのみの不等号.

full orderであること以外に深い意味はない

Definition at line 141 of file hashKey.h.

References osl::hash::HashKey128::boardKey(), and osl::hash::HashKey128::pieceStand().

## operator<<()

std::ostream & osl::hash::operator<< | ( | std::ostream & | os,
|  | const HashKey & | h )

Definition at line 25 of file hashKey.cc.

References osl::hash::HashKey128::boardKey(), osl::hash::HashKey128::pieceStand(), and osl::hash::BoardKey96::size().

## operator==() [1/2]

bool osl::hash::operator== | ( | const HashKey128 & | l,
|  | const HashKey128 & | r )

inline

Definition at line 129 of file hashKey.h.

References osl::hash::HashKey128::boardKey(), and osl::hash::HashKey128::pieceStand().

## operator==() [2/2]

bool osl::hash::operator== | ( | const HashKeyStack & | l,
|  | const HashKeyStack & | r )

Definition at line 36 of file hashKeyStack.cc.